# Generated from crazy-yard-3.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crazy-yard

Name: rubygem-%{gem_name}
Version: 3.2.2
Release: 1%{?dist}
Summary: Command-line deployment for the Engine Yard cloud
License: MIT
URL: http://github.com/engineyard/engineyard
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 2.0
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(fakeweb)
# BuildRequires: rubygem(fakeweb-matcher)
# BuildRequires: rubygem(sinatra)
# BuildRequires: rubygem(realweb) >= 1.0.1
# BuildRequires: rubygem(realweb) < 1.1
# BuildRequires: rubygem(open4) >= 1.0.1
# BuildRequires: rubygem(open4) < 1.1
# BuildRequires: rubygem(multi_json)
# BuildRequires: rubygem(oj)
BuildArch: noarch

%description
This gem allows you to deploy your rails application to the Engine Yard cloud
directly from the command line.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ey
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.2.2-1
- Initial package
